$(function(){

	/*line-height*/
	$(".works__list .works__list__dd").tile(2);
	$(".housing__list__item").tile(3);


	/*ぼかしを定義*/
	function slideVague(){

		var vague = $(".offRight").find("img").Vague({intensity:5});
		vague.blur();

		var vague02 = $(".offLeft").find("img").Vague({intensity:5});
		vague02.blur();

	}




	/*トップスライダー*/
	//リストの最後の値を変数listLangへ

	var INTERVAL = 7000;
	var FADE = 800;
	var SLIDES = 4;//表示スライダー数

	var sliderLi = $(".slider__main li");
	var sliderCapLi = $(".slider__cap li");
	var sliderThumLi = $(".slider__thum li");
	var sliderLeng = $(".slider__main li").length;

	var stNum = 0;
	
	$("sliderThumLi").each(function(){
		$(this).children("a").attr("id","no_" + stNum);
		stNum++;
	});

	sliderLeng = sliderLeng - 1;


	function addCls(crtNum){
		//初期化

		//メインスライダー
		$(sliderLi).each(function(){
			$(this).removeClass("display");
			$(this).removeClass("show");
			$(this).removeClass("offRight");
			$(this).removeClass("offLeft");
			$(this).find('img').removeAttr('style');
		});

		//キャプチャ
		$(sliderCapLi).each(function(){
			$(this).removeClass("display");
			$(this).removeClass("show");
		});

		//サムネイル
		$(sliderThumLi).each(function(){
			$(this).removeClass("on");
			$(this).find('span').remove();
		});

		var preNum = crtNum - 1;
		if( preNum < 0 ){
			preNum = sliderLeng;
		}
		var nextNum = crtNum + 1;
		if( nextNum > sliderLeng ){
			nextNum = 0;
		}

		$(sliderLi).eq(crtNum).find("img").removeAttr("style");
		$(sliderLi).eq(crtNum).addClass("show");

		$(sliderLi).eq(nextNum).addClass("offRight");
		$(sliderLi).eq(preNum).addClass("offLeft");

		$(sliderCapLi).eq(crtNum).addClass("display");
		$(sliderCapLi).eq(crtNum).addClass("show").fadeIn(FADE);
		$(sliderThumLi).eq(crtNum).find('a').prepend('<span></span>');
		$(sliderThumLi).eq(crtNum).addClass("show").fadeIn(FADE);
		$(sliderThumLi).eq(crtNum).addClass("on").fadeIn(FADE);

		//表示用クラス
		$(sliderLi).eq(crtNum).addClass("display");
		$(sliderLi).eq(nextNum).addClass("display");
		$(sliderLi).eq(preNum).addClass("display");


		//サムネイル調整
		if( crtNum < ( SLIDES - 1 ) ){
			//  左側
			$(sliderThumLi).each(function(){
				var thumId    = $(this).find('a').attr('id');
				var thumIndex = thumId.replace('no_', '');

				if( ( SLIDES - 1 ) < thumIndex ){
					$(this).removeClass('show');
				} else {
					$(this).addClass('show');
				}

			});
		} else if( ( SLIDES - 1 ) < crtNum ){
			//  右側
			$(sliderThumLi).each(function(){
				var thumId    = $(this).find('a').attr('id');
				var thumIndex = thumId.replace('no_', '');

				if( sliderLeng - ( SLIDES - 1 ) > thumIndex ){
					$(this).removeClass('show');
				} else {
					$(this).addClass('show');
				}
			});
		}

		slideVague();

	}

	var crt = 0;

	addCls(crt);
	slideMove();


	function slideMove(){
		//表示処理
		//$(sliderLi).fadeOut(FADE);
		$(sliderLi).hide();
		$('.slider__main li.display').fadeIn(FADE);

		$(sliderCapLi).each(function(){
			if( !$(this).hasClass('display') ) {
				$(this).fadeOut(FADE);
			}
		});
	}


	function intervalSlide(){

		setTimer=setInterval(function(){

			crt = crt + 1;
			if( crt > sliderLeng )
			{
				crt = 0;
			}

			addCls(crt);

			slideMove();

		},INTERVAL);

	};


	intervalSlide();


	//サムネイルクリック
	$('.slider_thum').click(function(){

		var id = $(this).attr('id');
		var no = parseInt( id.replace('no_', '') );
		$('#'+id).parent().addClass("on");
		$('#'+id).prepend('<span></span>');

		addCls(no);

		crt = no;

		slideMove();

		clearInterval(setTimer);

		intervalSlide();
	});


	//次のナンバーへ行く作業
	function nextSlider(){
		crt = crt + 1;
		if( crt > sliderLeng )
		{
			crt = 0;
		}
		addCls(crt);

		slideMove();

		clearInterval(setTimer);

		intervalSlide();

	}

	//前のナンバーへ行く作業
	function prevSlider(){
		crt = crt - 1;
		if( crt < 0 )
		{
			crt = $(sliderLi).length - 1;
		}
		addCls(crt);

		slideVague();

		slideMove();

		clearInterval(setTimer);

		intervalSlide();

	}


	//クリックの動作
    $('.slider__navi--prev').click(function(){
    	prevSlider();
    });
	
	  $('#imageNaviPrev').click(function(){
    	prevSlider();
    });
	

	//クリックの動作
    $('.slider__navi--next').click(function(){
    	nextSlider();
    });
	
	//クリックの動作
    $('#imageNaviNext').click(function(){
    	nextSlider();
    });


});